%define module 	IPC-Shareable
%define version 0.60
%define release 1mdk

Summary:	%{module} perl module
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel >= 5.6
Requires:	perl >= 5.6 
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
Url:	http://www.capn.org

%description
IPC-Shareable allows you to tie a variable to shared memory 
making it easy to share the contents of that variable with 
other Perl processes.
Scalars, arrays, and hashes can be tied.  The variable being 
tied may contain arbitrarily complex data structures 
including references to arrays, hashes of hashes, etc.


%prep
%setup -q  -n %{module}-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} 
%{__make}


%install
rm -rf $RPM_BUILD_ROOT

eval `perl '-V:installarchlib'`
install -d $RPM_BUILD_ROOT/$installarchlib

%{__make} PREFIX=$RPM_BUILD_ROOT%{_prefix} install

install -d $RPM_BUILD_ROOT/%{_datadir}
find $RPM_BUILD_ROOT%{_prefix} -type f -print | sed "s@^$RPM_BUILD_ROOT@@g"| \
	grep -v perllocal.pod | grep -v .packlist | grep -v .bs > \
	%{module}-%{version}-filelist
perl -p -i -e 's/\.3/\.3\.bz2/g' %{module}-%{version}-filelist


%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{module}-%{version}-filelist
%defattr(-,root,root)
%doc README MANIFEST CHANGES CREDITS 

%changelog
* Mon Sep 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.60-1mdk
- added by Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- First Mandrake Release




